Subject: The "not a valid NT application" bug...
From: [email-masked] (Colin Peters)

22 Nov 1996 04:45:06 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Original-To: "'GNU-Win32'" <[email-masked]>
Original-Sender: [email-masked]

I've seen several mentions of people who had this problem: programs would
not run under NT, giving a "not a valid application" or some such error message.
I was also recently led to believe that this happens to applications compiled
under Windows 95. Is there a solution or workaround for this problem other than
to compile on NT? Since I have no access to NT machines, but I would like to
write programs that could run on them, I'd like to know.

As I said, I've seen several mentions of it (almost as many as the "cannot exec
cpp" error), but I can't remember any replies. I probably would have kept them too
if they mentioned this was a general problem with 95.

Thanks,
Colin.

PS. To solve the "cpp error" you should add the path where cpp.exe exists to your
COMPILER_PATH environment variable, so that it looks like this:
SET COMPILER_PATH=/usr/bin:/usr/lib/gcc/a-very-long-path
or you can copy cpp.exe cc1.exe and cc1plus.exe to \usr\bin.

-- Colin Peters - [email-masked]
-- Saga University Dept. of Information Science
-- Fundamentals of Information Science
-- http://www.fu.is.saga-u.ac.jp/~colin/home.html

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".